Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1338857 - cdn.redhat.com has the wrong productId version for several $releasevers
Summary: cdn.redhat.com has the wrong productId version for several $releasevers
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.2
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Lubos Kocman
QA Contact: Release Test Team
URL:
Whiteboard:
: 1356710 1356722 1356729 1356738 1356740 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-23 14:10 UTC by John Sefler
Modified: 2018-11-05 12:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-05 12:42:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1338032 None None None Never
Red Hat Bugzilla 1357574 None None None Never

Description John Sefler 2016-05-23 14:10:54 UTC
Description of problem:
The productid in the cdn.redhat.com repodata is wrong/old for paths...
 https://cdn.redhat.com/content/dist/rhel/server/7/7.2/x86_64/os/os/repodata/productid
 https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/os/os/repodata/productid


Version-Release number of selected component (if applicable):
 RHEL7.2

How reproducible:


Steps to Reproduce:
[root@cisco-b200m3-01 ~]# subscription-manager register --serverurl=subscription.rhn.redhat.com --baseurl=cdn.redhat.com --auto-attach
Username: qa@redhat.com
Password: 
The system has been registered with ID: e13f4505-b385-4530-b606-c2f32f611ef2 

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

[root@cisco-b200m3-01 ~]# subscription-manager repos --list-enabled
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-7-server-rpms
Repo Name: Red Hat Enterprise Linux 7 Server (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/os
Enabled:   1

--------------------------------------------------------
FIRST, LET'S VERIFY THE x86_64 RHEL 7.0 PRODUCT ID FROM THE CDN...

[root@cisco-b200m3-01 ~]# curl --stderr /dev/null --cert /etc/pki/entitlement/6854605803879671664.pem --key /etc/pki/entitlement/6854605803879671664-key.pem --cacert /etc/rhsm/ca/redhat-uep.pem https://cdn.redhat.com/content/dist/rhel/server/7/7.0/x86_64/os/repodata/productid > productid.pem && rct cat-cert productid.pem | grep -A8 "Product:"
Product:
	ID: 69
	Name: Red Hat Enterprise Linux Server
	Version: 7.0            <================== PASS
	Arch: x86_64
	Tags: rhel-7,rhel-7-server
	Brand Type: 
	Brand Name: 

VERIFIED: The CDN product id for x86_64 RHEL 7.0 is correct!

--------------------------------------------------------
SECOND, LET'S VERIFY THE x86_64 RHEL 7.1 PRODUCT ID FROM THE CDN...

[root@cisco-b200m3-01 ~]# curl --stderr /dev/null --cert /etc/pki/entitlement/6854605803879671664.pem --key /etc/pki/entitlement/6854605803879671664-key.pem --cacert /etc/rhsm/ca/redhat-uep.pem https://cdn.redhat.com/content/dist/rhel/server/7/7.1/x86_64/os/repodata/productid > productid.pem && rct cat-cert productid.pem | grep -A8 "Product:"
Product:
	ID: 69
	Name: Red Hat Enterprise Linux Server
	Version: 7.1            <================== PASS
	Arch: x86_64
	Tags: rhel-7,rhel-7-server
	Brand Type: 
	Brand Name: 

VERIFIED: The CDN product id for x86_64 RHEL 7.1 is correct!

--------------------------------------------------------
SECOND, LET'S TEST THE x86_64 RHEL 7.2 PRODUCT ID FROM THE CDN...

[root@cisco-b200m3-01 ~]# curl --stderr /dev/null --cert /etc/pki/entitlement/6854605803879671664.pem --key /etc/pki/entitlement/6854605803879671664-key.pem --cacert /etc/rhsm/ca/redhat-uep.pem https://cdn.redhat.com/content/dist/rhel/server/7/7.2/x86_64/os/repodata/productid > productid.pem && rct cat-cert productid.pem | grep -A8 "Product:"
Product:
	ID: 69
	Name: Red Hat Enterprise Linux Server
	Version: 7.1            <================== FAIL
	Arch: x86_64
	Tags: rhel-7,rhel-7-server
	Brand Type: 
	Brand Name: 

FAILED: The CDN product id for x86_64 RHEL 7.2 is wrong!


--------------------------------------------------------
THIRD, LET'S TEST THE x86_64 RHEL 7Server PRODUCT ID FROM THE CDN (We should get 7.2 since 7.2 is the current release of RHEL)...

[root@cisco-b200m3-01 ~]# curl --stderr /dev/null --cert /etc/pki/entitlement/6854605803879671664.pem --key /etc/pki/entitlement/6854605803879671664-key.pem --cacert /etc/rhsm/ca/redhat-uep.pem https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/os/repodata/productid > productid.pem && rct cat-cert productid.pem | grep -A8 "Product:"
Product:
	ID: 69
	Name: Red Hat Enterprise Linux Server
	Version: 7.1            <================== FAIL
	Arch: x86_64
	Tags: rhel-7,rhel-7-server
	Brand Type: 
	Brand Name: 

FAILED: The CDN product id for x86_64 RHEL 7Server is wrong! It should be the current release of RHEL7

Comment 2 vritant 2016-05-23 19:29:58 UTC
*** Bug 1338032 has been marked as a duplicate of this bug. ***

Comment 4 Lubos Kocman 2017-01-04 16:35:13 UTC
This is being solved as part of http://pub.devel.redhat.com/pub/push/105533/

Lubos

Comment 6 John Sefler 2017-03-27 19:11:37 UTC
This bug is now ON_QA which has unblocked my tests.  HOWEVER, my tests against production CDN baseurl=https://cdn.redhat.com continue to fail for $releasever 7.2, 7.3, and 7Server.

The actual "Version" of these three repodata/productid certificates is 7.1 (determined using the testing demonstrated in comment 0).  Expected 7.2, 7.3 and 7.3 respectively...


https://cdn.redhat.com/content/dist/rhel/server/7/7.2/x86_64/os/repodata/productid 

https://cdn.redhat.com/content/dist/rhel/server/7/7.3/x86_64/os/repodata/productid 

https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/os/repodata/productid 


NEEDINFO to find out why the fix has not landed on the production CDN.

Comment 7 Dennis Gilmore 2017-04-21 14:20:32 UTC
For current releases this has been fixed. Fixing older no longer supported releases is a task we want to do, it however is a low priority.

Comment 9 Lubos Kocman 2018-09-03 11:39:30 UTC
*** Bug 1356710 has been marked as a duplicate of this bug. ***

Comment 10 Lubos Kocman 2018-09-03 11:39:37 UTC
*** Bug 1356722 has been marked as a duplicate of this bug. ***

Comment 11 Lubos Kocman 2018-09-03 11:39:42 UTC
*** Bug 1356729 has been marked as a duplicate of this bug. ***

Comment 12 Lubos Kocman 2018-09-03 11:39:46 UTC
*** Bug 1356738 has been marked as a duplicate of this bug. ***

Comment 13 Lubos Kocman 2018-09-03 11:39:52 UTC
*** Bug 1356740 has been marked as a duplicate of this bug. ***

Comment 14 Lubos Kocman 2018-09-03 11:40:57 UTC
Ensured that issue is fixed by http://pub.devel.redhat.com/pub/task/173513

Comment 15 John Sefler 2018-09-07 19:29:17 UTC
[root@jsefler-rhel7 ~]# curl --stderr /dev/null --cert /etc/pki/entitlement/7351998328276847690.pem --key /etc/pki/entitlement/7351998328276847690-key.pem --cacert /etc/rhsm/ca/redhat-uep.pem https://cdn.redhat.com/content/dist/rhel/server/7/7.0/x86_64/os/repodata/productid > productid.pem && rct cat-cert productid.pem | grep -A8 "Product:"
Product:
	ID: 69
	Name: Red Hat Enterprise Linux Server
	Version: 7.0          <============== PASS
	Arch: x86_64
	Tags: rhel-7,rhel-7-server
	Brand Type: 
	Brand Name: 

[root@jsefler-rhel7 ~]# curl --stderr /dev/null --cert /etc/pki/entitlement/7351998328276847690.pem --key /etc/pki/entitlement/7351998328276847690-key.pem --cacert /etc/rhsm/ca/redhat-uep.pem https://cdn.redhat.com/content/dist/rhel/server/7/7.1/x86_64/os/repodata/productid > productid.pem && rct cat-cert productid.pem | grep -A8 "Product:"
Product:
	ID: 69
	Name: Red Hat Enterprise Linux Server
	Version: 7.1         <============== PASS
	Arch: x86_64
	Tags: rhel-7,rhel-7-server
	Brand Type: 
	Brand Name: 

[root@jsefler-rhel7 ~]# curl --stderr /dev/null --cert /etc/pki/entitlement/7351998328276847690.pem --key /etc/pki/entitlement/7351998328276847690-key.pem --cacert /etc/rhsm/ca/redhat-uep.pem https://cdn.redhat.com/content/dist/rhel/server/7/7.2/x86_64/os/repodata/productid > productid.pem && rct cat-cert productid.pem | grep -A8 "Product:"
Product:
	ID: 69
	Name: Red Hat Enterprise Linux Server
	Version: 7.2         <============== PASS
	Arch: x86_64
	Tags: rhel-7,rhel-7-server
	Brand Type: 
	Brand Name: 

[root@jsefler-rhel7 ~]# curl --stderr /dev/null --cert /etc/pki/entitlement/7351998328276847690.pem --key /etc/pki/entitlement/7351998328276847690-key.pem --cacert /etc/rhsm/ca/redhat-uep.pem https://cdn.redhat.com/content/dist/rhel/server/7/7.3/x86_64/os/repodata/productid > productid.pem && rct cat-cert productid.pem | grep -A8 "Product:"
Product:
	ID: 69
	Name: Red Hat Enterprise Linux Server
	Version: 7.1         <============== FAIL Expected: 7.3
	Arch: x86_64
	Tags: rhel-7,rhel-7-server
	Brand Type: 
	Brand Name: 

[root@jsefler-rhel7 ~]# curl --stderr /dev/null --cert /etc/pki/entitlement/7351998328276847690.pem --key /etc/pki/entitlement/7351998328276847690-key.pem --cacert /etc/rhsm/ca/redhat-uep.pem https://cdn.redhat.com/content/dist/rhel/server/7/7.4/x86_64/os/repodata/productid > productid.pem && rct cat-cert productid.pem | grep -A8 "Product:"
[root@jsefler-rhel7 ~]#       <============== FAIL Expected a productid for version 7.4.  productId is missing on CDN.
[root@jsefler-rhel7 ~]# 
[root@jsefler-rhel7 ~]# curl --stderr /dev/null --cert /etc/pki/entitlement/7351998328276847690.pem --key /etc/pki/entitlement/7351998328276847690-key.pem --cacert /etc/rhsm/ca/redhat-uep.pem https://cdn.redhat.com/content/dist/rhel/server/7/7.5/x86_64/os/repodata/productid > productid.pem && rct cat-cert productid.pem | grep -A8 "Product:"
Product:
	ID: 69
	Name: Red Hat Enterprise Linux Server
	Version: 7.5         <============== PASS
	Arch: x86_64
	Tags: rhel-7,rhel-7-server
	Brand Type: 
	Brand Name: 

[root@jsefler-rhel7 ~]# curl --stderr /dev/null --cert /etc/pki/entitlement/7351998328276847690.pem --key /etc/pki/entitlement/7351998328276847690-key.pem --cacert /etc/rhsm/ca/redhat-uep.pem https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/os/repodata/productid > productid.pem && rct cat-cert productid.pem | grep -A8 "Product:"
Product:
	ID: 69
	Name: Red Hat Enterprise Linux Server
	Version: 7.5         <============== PASS
	Arch: x86_64
	Tags: rhel-7,rhel-7-server
	Brand Type: 
	Brand Name: 




Still failing for...
https://cdn.redhat.com/content/dist/rhel/server/7/7.3/x86_64/os/repodata/productid
https://cdn.redhat.com/content/dist/rhel/server/7/7.4/x86_64/os/repodata/productid IS MISSING

Comment 16 John Sefler 2018-09-07 19:40:57 UTC
Also fails on computenode...

java.lang.AssertionError: Version of the productid on the CDN at 'https://cdn.redhat.com/content/dist/rhel/computenode/7/7.3/x86_64/os/repodata/productid' that will be installed by the yum product-id plugin after setting the subscription-manager release to '7.3'. expected:<7.3> but was:<7.1>

Comment 17 Lubos Kocman 2018-09-10 10:28:33 UTC
Ah I was fixing 7.2 (the original bug). Not 7.3 but I can fix 7.3 as well..

Lubos

Comment 18 Lubos Kocman 2018-11-05 12:42:55 UTC
Hello,

RCM have agreed that repos for EOL product versions unless there is a strong business justification. 

Therefore marking this issue as WON'T FIX.

Lubos


Note You need to log in before you can comment on or make changes to this bug.